Subject: bug#44877: bug#62140: enable LVM in Grub

From: Emmanuel Beffara <[email-masked]>
Date: Tue, 14 Mar 2023 22:26:28 +0100

De Michael Rohleder le 13/03/2023 à 14:56:
> Hello Emmanuel!
> 
> Thx for the report!
> 
> I think this is bug 44877, maybe we can/should merge it.
> Here [1] is a patch (and testcase).
> 
> 
> [1]  https://issues.guix.gnu.org/60442

Indeed, it seems to be the same issue.

However, the patch sets the value of `GRUB_PRELOAD_MODULES`, which afaik is
used by `grub-mkconfig` to produce `grub.cfg`, but there seems to be code in
`grub.scm` that also produces `grub.cfg`, and no call to `grub-mkconfig`
there. I'm not sure I understand how all this works anyway…

-- 
Emmanuel